package com.yanzhu.jh.project.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.entity.SysDictData;
import com.yanzhu.jh.project.domain.SurProjectStandard;

/**
 * 标准化管理Service接口
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
public interface ISurProjectStandardService 
{
    /**
     * 查询标准化管理
     * 
     * @param id 标准化管理主键
     * @return 标准化管理
     */
    public SurProjectStandard selectSurProjectStandardById(Long id);

    /**
     * 查询标准化管理列表
     * 
     * @param surProjectStandard 标准化管理
     * @return 标准化管理集合
     */
    public List<SurProjectStandard> selectSurProjectStandardList(SurProjectStandard surProjectStandard);

    /**
     * 查询标准化管类型统计
     *
     * @param surProjectStandard 标准化管理
     * @return 标准化管理集合
     */
    public List<Map<String,Object>> selectSurProjectStandardGroupByType(SurProjectStandard surProjectStandard);

    /**
     * 新增标准化管理
     * 
     * @param surProjectStandard 标准化管理
     * @return 结果
     */
    public int insertSurProjectStandard(SurProjectStandard surProjectStandard);

    /**
     * 修改标准化管理
     * 
     * @param surProjectStandard 标准化管理
     * @return 结果
     */
    public int updateSurProjectStandard(SurProjectStandard surProjectStandard);

    /**
     * 批量删除标准化管理
     * 
     * @param ids 需要删除的标准化管理主键集合
     * @return 结果
     */
    public int deleteSurProjectStandardByIds(Long[] ids);

    /**
     * 删除标准化管理信息
     * 
     * @param id 标准化管理主键
     * @return 结果
     */
    public int deleteSurProjectStandardById(Long id);

    public int insertSurProjectStandards(SurProjectStandard surProjectStandard);

    public  List<SysDictData> groupByType(SurProjectStandard where);

    public List<SurProjectStandard> groupByProject();

    public List<SurProjectStandard> selectList(SurProjectStandard where);
}
